Subject: Re: cross compiler build fail (multiple definition of `fhandler_base::get_native_name(void)', and more)
From: [email-masked] (Juergen Lock)
To: [email-masked] (Mumit Khan)
Cc: [email-masked] (Juergen Lock), [email-masked]
Date: Tue, 9 Feb 1999 00:30:32 +0100

Mumit Khan writes:
> Juergen Lock <[email-masked]> writes:
> >  Thanx!  Do i need egcs, how is it better than the vanilla gcc that
> > comes with the dev-src.tar.bz2?  I didnt know about the CROSS directory,
> > did everything in the `root' directory (.../src) until now
> > (had to symlink Makefile.in from .. btw)
> 
> Yes, egcs. My instructions quite possibly will not work with vanilla/FSF
> GCC.

The problem happens in the first step (build the b20.1 source), before
getting to egcs.  anyway i just ftp'd it...
> 
> >  I have re-started from scratch in CROSS now but still got a link problem
> > (see below).
> > 
> > > Also, the target is i586-cygwin32, not i386-unknown-cygwin32; you need
> > > this for various reasons.
> > 
> >  Umm.  Does that mean the target machine cant be a 486?  or would
> > i486-cygwin32 also work?
> 
> Please use what I suggest -- egcs and i586-cygwin32 as the target name,

 Will do.

> and then I'll take a look at the errors if any. 

 thanx.
> 
> Re your subscription to the mailing list, see Cygnus home page at
> http://sourceware.cygnus.com/cygwin/ for more info. The mailing lists
> have recently changed, so perhaps your subscription didn't go through?

 could be, i used [email-masked] insted of
[email-masked]...  thanx again,

	Juergen

--   
Want to unsubscribe from this list?                             
Send a message to [email-masked]